Bug 1258080 - ansible_pkg_mgr should be dnf
ansible_pkg_mgr should be dnf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ansible (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 18:14 EDT by Orion Poplawski
Modified: 2015-11-01 12:24 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.9.3-2.fc23 ansible-1.9.4-1.el6 ansible-1.9.4-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-01 11:22:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-08-28 18:14:25 EDT
Description of problem:

If dnf-yum is installed, ansible_pkg_mgr is set to yum, although this probably isn't desired.  This if fixed upstread in https://github.com/opoplawski/ansible/commit/f624ec4cb8771736ffbe3fe81b2949edda159863 but probably should be backported to F22.
Comment 1 Orion Poplawski 2015-08-28 18:15:55 EDT
Also without dnf-yum installed:

        "ansible_pkg_mgr": "unknown",
Comment 2 Kevin Fenzi 2015-08-30 13:59:23 EDT
Can push this out when 1.9.3 is released (which hopefully will be soon). 

Thanks.
Comment 3 Fedora Update System 2015-09-03 23:53:01 EDT
ansible-1.9.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15047
Comment 4 Fedora Update System 2015-09-03 23:54:09 EDT
ansible-1.9.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15048
Comment 5 Fedora Update System 2015-09-03 23:55:18 EDT
ansible-1.9.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15049
Comment 6 Fedora Update System 2015-09-03 23:56:12 EDT
ansible-1.9.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7924
Comment 7 Fedora Update System 2015-09-03 23:57:05 EDT
ansible-1.9.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7925
Comment 8 Fedora Update System 2015-09-04 19:18:52 EDT
ansible-1.9.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15049
Comment 9 Fedora Update System 2015-09-04 19:20:37 EDT
ansible-1.9.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15048
Comment 10 Fedora Update System 2015-09-04 19:22:38 EDT
ansible-1.9.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15047
Comment 11 Fedora Update System 2015-09-05 01:19:38 EDT
ansible-1.9.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7924
Comment 12 Fedora Update System 2015-09-05 01:19:41 EDT
ansible-1.9.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7925
Comment 13 Fedora Update System 2015-09-08 11:32:06 EDT
ansible-1.9.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15368
Comment 14 Fedora Update System 2015-09-08 11:32:14 EDT
ansible-1.9.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15369
Comment 15 Fedora Update System 2015-09-08 11:32:21 EDT
ansible-1.9.3-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7998
Comment 16 Fedora Update System 2015-09-08 11:32:28 EDT
ansible-1.9.3-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15370
Comment 17 Fedora Update System 2015-09-08 13:51:04 EDT
ansible-1.9.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15368
Comment 18 Fedora Update System 2015-09-08 17:21:49 EDT
ansible-1.9.3-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15370
Comment 19 Fedora Update System 2015-09-08 17:25:29 EDT
ansible-1.9.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15369
Comment 20 Fedora Update System 2015-09-09 15:19:28 EDT
ansible-1.9.3-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7998
Comment 21 Fedora Update System 2015-09-09 19:50:49 EDT
ansible-1.9.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ansible'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7997
Comment 22 Fedora Update System 2015-09-17 21:31:41 EDT
ansible-1.9.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-09-17 23:50:42 EDT
ansible-1.9.3-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-09-18 14:31:45 EDT
ansible-1.9.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2015-10-05 12:08:08 EDT
ansible-1.9.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ba9b7739ee
Comment 26 Fedora Update System 2015-10-05 12:08:44 EDT
ansible-1.9.3-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd299a6f9f
Comment 27 Fedora Update System 2015-10-07 08:48:31 EDT
ansible-1.9.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ansible'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ba9b7739ee
Comment 28 Fedora Update System 2015-10-07 08:50:28 EDT
ansible-1.9.3-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ansible'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd299a6f9f
Comment 29 Fedora Update System 2015-10-10 15:00:47 EDT
ansible-1.9.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0d49710dc2
Comment 30 Fedora Update System 2015-10-10 15:00:50 EDT
ansible-1.9.4-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1ba9b07c1e
Comment 31 Fedora Update System 2015-10-12 14:49:49 EDT
ansible-1.9.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ansible'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1ba9b07c1e
Comment 32 Fedora Update System 2015-10-12 14:50:02 EDT
ansible-1.9.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ansible'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0d49710dc2
Comment 33 Fedora Update System 2015-11-01 11:22:32 EST
ansible-1.9.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2015-11-01 12:23:48 EST
ansible-1.9.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.